October 6, 2026
· 5 min read
This release renames the has_issues parameter to has_open_issues across customer segmentation and reporting endpoints, providing more precise filtering by specifically targeting customers with open (unresolved) issues rather than any issues historically associated with the account.
- POST /crm/customer_segments - Create customer segments that filter by customers with open issues using the new
has_open_issuesquery parameter - GET /reports/customers.grouped/data - Retrieve grouped customer report data filtered by customers with open issues
- POST /reports/customers.grouped/export - Export grouped customer reports filtered by customers with open issues
- GET /reports/customers/data - Retrieve customer report data filtered by customers with open issues
- POST /reports/customers/export - Export customer reports filtered by customers with open issues
- GET /crm/customer_segments - List customer segments now returns the
has_open_issuesquery filter in segment definitions - GET /crm/customer_segments/{id} - Retrieve customer segment details now shows the
has_open_issuesquery filter - PATCH /crm/customer_segments/{id} - Partially update customer segments now returns the
has_open_issuesquery filter - PUT /crm/customer_segments/{id} - Update customer segments now returns the
has_open_issuesquery filter
POST /crm/customer_segments
- removed the request property
query/has_issues(media type: application/json) - added the new optional request property
query/has_open_issues(media type: application/json) - added the optional property
query/has_open_issuesto the response with the201status (media type: application/json) - removed the optional property
query/has_issuesfrom the response with the201status (media type: application/json)
GET /reports/customers.grouped/data
- deleted the
queryrequest parameterhas_issues - added the new optional
queryrequest parameterhas_open_issues
POST /reports/customers.grouped/export
- removed the request property
has_issues(media type: application/json) - added the new optional request property
has_open_issues(media type: application/json)
GET /reports/customers/data
- deleted the
queryrequest parameterhas_issues - added the new optional
queryrequest parameterhas_open_issues
POST /reports/customers/export
- removed the request property
has_issues(media type: application/json) - added the new optional request property
has_open_issues(media type: application/json)
GET /crm/customer_segments
- added the optional property
results/items/query/has_open_issuesto the response with the200status (media type: application/json) - removed the optional property
results/items/query/has_issuesfrom the response with the200status (media type: application/json)
GET /crm/customer_segments/{id}
- added the optional property
query/has_open_issuesto the response with the200status (media type: application/json) - removed the optional property
query/has_issuesfrom the response with the200status (media type: application/json)
PATCH /crm/customer_segments/{id}
- added the optional property
query/has_open_issuesto the response with the200status (media type: application/json) - removed the optional property
query/has_issuesfrom the response with the200status (media type: application/json)
PUT /crm/customer_segments/{id}
- added the optional property
query/has_open_issuesto the response with the200status (media type: application/json) - removed the optional property
query/has_issuesfrom the response with the200status (media type: application/json)